## remmina 1.4.20+dfsg

=== CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2021 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
# Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give permission to
# link the code of portions of this program with the OpenSSL library under
# certain conditions as described in each individual source file, and distribute
# linked combinations including the two. You must obey the GNU General Public
# License in all respects for all of the code used other than OpenSSL. If you
# modify file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you do not wish
# to do so, delete this exception statement from your version. If you delete
# this exception statement from all source files in the program, then also
# delete it here.

cmake_minimum_required(VERSION 3.4.0)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/macros)

set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

project(Remmina C CXX)

include(CheckCCompilerFlag)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(CheckSymbolExists)
include(FindPkgConfig)
include(GNUInstallDirs)

include(FindOptionalPackage)
include(ConfigOptions)
include(GtkUpdateIconCache)
include(CheckHasModule)
include(FindPCRE2)
include(GlibCompileResourcesSupport)
include(FindIntl)

#---------------------------------------------------------------------
# Package creation with CMake depends on the value of umask - if permissions
# are such that temporary files are created without permissions needed for
# generated packages, the resulting packages may behave badly when installed.
# In particular, RPM packages may improperly reset permissions on core
# directories such as /usr.
function(check_umask umask_val status_var)
    string(REGEX REPLACE "[^x]" "" umask_x "${umask_val}")
    string(REGEX REPLACE "[^r]" "" umask_r "${umask_val}")
    string(LENGTH "${umask_r}" UMASK_HAVE_R)
    set(${status_var} 0 PARENT_SCOPE)
    if(UMASK_HAVE_R AND "${umask_x}" STREQUAL "xxx")
        set(${status_var} 1 PARENT_SCOPE)
    endif(UMASK_HAVE_R AND "${umask_x}" STREQUAL "xxx")
endfunction(check_umask)

find_program(SLEEP_EXEC sleep)
mark_as_advanced(SLEEP_EXEC)
# Note - umask is not always an executable, so find_program wont' necessarily
# determine whether the umask check is appropriate.  If we don't find an
# executable, follow up to see if we can use sh to get the info.
find_program(UMASK_EXEC umask)
mark_as_advanced(UMASK_EXEC)
if(NOT UMASK_EXEC)
    # If we don't have a umask cmd, see if sh -c "umask -S" works
    execute_process(COMMAND sh -c "umask -S" OUTPUT_VARIABLE umask_out)
    # Check if we've got something that looks like a umask output
    if("${umask_out}" MATCHES "^u=.*g=.*o=.*")
        set(UMASK_EXEC sh)
        set(UMASK_EXEC_ARGS -c "umask -S")
    endif("${umask_out}" MATCHES "^u=.*g=.*o=.*")
else(NOT UMASK_EXEC)
    set(UMASK_EXEC_ARGS -S)
endif(NOT UMASK_EXEC)

if(UMASK_EXEC)
    execute_process(COMMAND ${UMASK_EXEC} ${UMASK_EXEC_ARGS} OUTPUT_VARIABLE umask_curr)
    string(STRIP "${umask_curr}" umask_curr)
    check_umask("${umask_curr}" UMASK_OK)
    if(NOT UMASK_OK)
        message(" ")
        message(WARNING "umask is set to ${umask_curr} - this setting is not recommended if one of the goals of this build is to generate packages. Use 'umask 022' for improved package behavior.")
        if(SLEEP_EXEC)
            execute_process(COMMAND ${SLEEP_EXEC} 10)
        endif(SLEEP_EXEC)
    endif(NOT UMASK_OK)
endif(UMASK_EXEC)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release")
endif()

if(NOT BUILD_SHARED_LIBS)
  set(BUILD_SHARED_LIBS ON)
endif()

if(CMAKE_COMPILER_IS_GNUCC)
  if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64" OR CMAKE_SYSTEM_PROCESSOR MATCHES
                                                "i686")
    check_symbol_exists(__x86_64__ "" IS_X86_64)
    if(IS_X86_64)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
    else()
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -march=i686")
    endif()
  else()
    if(CMAKE_POSITION_INDEPENDENT_CODE)
      if(${CMAKE_VERSION} VERSION_LESS 2.8.9)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
      endif()
    endif()
  endif()

  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")

  if(WITH_SSE2)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2")
  endif()

  if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_definitions(-DDEBUG)
    check_c_compiler_flag(-Wunused-result Wunused-result)
    if(Wunused-result)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wunused-result")
    endif()
    check_c_compiler_flag(-Wunused-but-set-variable Wunused-but-set-variable)
    if(Wunused-but-set-variable)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wunused-but-set-variable")
    endif()
    check_c_compiler_flag(-Wdeprecated-declarations Wdeprecated-declarations)
    if(Wdeprecated-declarations)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wdeprecated-declarations")
    endif()

    check_c_compiler_flag(-Wimplicit-function-declaration
                          Wimplicit-function-declaration)
    if(Wimplicit-function-declaration)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wimplicit-function-declaration")
    endif()
    if(NOT OPENBSD)
      check_c_compiler_flag(-Wredundant-decls Wredundant-decls)
      if(Wredundant-decls)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wredundant-decls")
      endif()
    endif()
  endif()

  if(CMAKE_BUILD_TYPE STREQUAL "Release")
    add_definitions(-DNDEBUG)
    check_c_compiler_flag(-Wno-unused-result Wno-unused-result)
    if(Wno-unused-result)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-result")
    endif()
    check_c_compiler_flag(-Wno-unused-but-set-variable
                          Wno-unused-but-set-variable)
    if(Wno-unused-but-set-variable)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-but-set-variable")
    endif()
    check_c_compiler_flag(-Wno-deprecated-declarations
                          Wno-deprecated-declarations)
    if(Wno-deprecated-declarations)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-declarations")
    endif()

    check_c_compiler_flag(-Wimplicit-function-declaration
                          Wimplicit-function-declaration)
    if(Wimplicit-function-declaration)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wimplicit-function-declaration")
    endif()
    if(NOT OPENBSD)
      check_c_compiler_flag(-Wredundant-decls Wredundant-decls)
      if(Wredundant-decls)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wredundant-decls")
      endif()
    endif()
  else()
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g")
  endif()

endif()

if((TARGET_ARCH MATCHES "x86|x64") AND (NOT DEFINED WITH_SSE2))
  option(WITH_SSE2 "Enable SSE2 optimization." ON)
else()
  option(WITH_SSE2 "Enable SSE2 optimization." OFF)
endif()

if(TARGET_ARCH MATCHES "ARM")
  if(NOT DEFINED WITH_NEON)
    option(WITH_NEON "Enable NEON optimization." ON)
  else()
    option(WITH_NEON "Enable NEON optimization." OFF)
  endif()
else()
  if(NOT APPLE)
    option(WITH_IPP "Use Intel Performance Primitives." OFF)
  endif()
endif()

if(${CMAKE_C_COMPILER_ID} STREQUAL "Clang")
  if(CMAKE_BUILD_TYPE STREQUAL "Release")
    add_definitions(-DNDEBUG)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-parameter")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-macros -Wno-padded")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-c11-extensions -Wno-gnu")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-command-line-argument")
    check_c_compiler_flag(-Wno-deprecated-declarations
                          Wno-deprecated-declarations)
    if(Wno-deprecated-declarations)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-declarations")
    endif()
  else()
    add_definitions(-DDEBUG)
    # set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wunused-parameter") set(CMAKE_C_FLAGS
    # "${CMAKE_C_FLAGS} -Wunused-macros -Wpadded") set(CMAKE_C_FLAGS
    # "${CMAKE_C_FLAGS} -Wc11-extensions -Wgnu") set(CMAKE_C_FLAGS
    # "${CMAKE_C_FLAGS} -Wunused-command-line-argument")
    check_c_compiler_flag(-Wdeprecated-declarations Wdeprecated-declarations)
    if(Wdeprecated-declarations)
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wdeprecated-declarations")
    endif()
  endif()
endif()

# Figure out no-undefined flag
if(${CMAKE_SYSTEM_NAME} STREQUAL Darwin)
    set(NO_UNDEFINED_FLAG "-Wl,-undefined,error")
elseif((${CMAKE_SYSTEM_NAME} STREQUAL Linux) OR MINGW)
    set(NO_UNDEFINED_FLAG "-Wl,--no-undefined")
else()
    # On OpenBSD this seems to cause problems, so we unset it
    set(NO_UNDEFINED_FLAG "")
endif()
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${NO_UNDEFINED_FLAG}")

check_include_files(sys/socket.h HAVE_SYS_SOCKET_H)
check_include_files(arpa/inet.h HAVE_ARPA_INET_H)
check_include_files(netinet/in.h HAVE_NETINET_IN_H)
check_include_files(netinet/tcp.h HAVE_NETINET_TCP_H)
check_include_files(termios.h HAVE_TERMIOS_H)
check_include_files(netdb.h HAVE_NETDB_H)
check_include_files(fcntl.h HAVE_FCNTL_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(sys/un.h HAVE_SYS_UN_H)
check_include_files(errno.h HAVE_ERRNO_H)

include_directories(.)
include_directories(src/include)

# FreeBSD

if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
  set(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "-rdynamic")
  include_directories(/usr/local/include /usr/include)
  link_directories(/usr/local/lib /usr/lib)
  set(CMAKE_REQUIRED_INCLUDES /usr/local/include)
  set(CMAKE_SHARED_LIBRARY_PREFIX ${CMAKE_SHARED_LIBRARY_PREFIX} /usr/local/lib)
endif()

# Versioning
set(WITH_LIBRARY_VERSIONING "ON")
set(REMMINA_VERSION_MAJOR "1")
set(REMMINA_VERSION_MINOR "4")
set(REMMINA_VERSION_REVISION "20")
# set(REMMINA_VERSION_SUFFIX "1") set(REMMINA_VERSION
# "${REMMINA_VERSION_MAJOR}.${REMMINA_VERSION_MINOR}.${REMMINA_VERSION_REVISION}.${REMMINA_VERSION_SUFFIX}")
set(REMMINA_VERSION
    "${REMMINA_VERSION_MAJOR}.${REMMINA_VERSION_MINOR}.${REMMINA_VERSION_REVISION}"
)

message(STATUS "Remmina version: ${REMMINA_VERSION}")

include(GetGitRevisionDescription)
git_get_exact_tag(REMMINA_GIT_REVISION --tags --always)
if(${REMMINA_GIT_REVISION} STREQUAL "n/a")
  git_rev_parse(REMMINA_GIT_REVISION --short)
endif()

message(STATUS "Git Revision: ${REMMINA_GIT_REVISION}")

# REMMINA_APP_ID should follow Gnome Application ID rules
set(REMMINA_APP_ID "org.remmina.Remmina")

if(NOT REMMINA_DATADIR)
  set(REMMINA_DATADIR "${CMAKE_INSTALL_FULL_DATADIR}")
  if(NOT REMMINA_RUNTIME_DATADIR)
    set(REMMINA_RUNTIME_DATADIR "${REMMINA_DATADIR}")
  endif()
endif()
if(NOT REMMINA_TERM_CS_DIR)
  set(REMMINA_TERM_CS_DIR "${REMMINA_DATADIR}/remmina/theme")
endif()
if(NOT REMMINA_LOCALEDIR)
  set(REMMINA_LOCALEDIR "${CMAKE_INSTALL_FULL_LOCALEDIR}")
  if(NOT REMMINA_RUNTIME_LOCALEDIR)
    set(REMMINA_RUNTIME_LOCALEDIR "${REMMINA_LOCALEDIR}")
  endif()
endif()
if(NOT REMMINA_PLUGINDIR)
  set(REMMINA_PLUGINDIR "${CMAKE_INSTALL_FULL_LIBDIR}/remmina/plugins")
  if(NOT REMMINA_RUNTIME_PLUGINDIR)
    set(REMMINA_RUNTIME_PLUGINDIR "${REMMINA_PLUGINDIR}")
  endif()
endif()
if(NOT REMMINA_UIDIR)

=== debian/changelog ===
remmina (1.4.20+dfsg-3) unstable; urgency=medium

  * debian/control: drop references to NX and XDMCP (Closes: #992769)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 23 Aug 2021 22:37:32 +0200

remmina (1.4.20+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 17 Aug 2021 22:18:46 +0200

remmina (1.4.20+dfsg-1) experimental; urgency=medium

  [ Antenore Gatta ]
  * Description clarification for the WWW plugin

  [ Matteo F. Vescovi ]
  * New upstream release
    - debian/NEWS: new entry added
  * debian/: NX plugin files dropped
  * debian/control: NX and XDMCP plugins dropped
  * debian/remmina-plugin-xdmcp.install: file dropped
  * debian/remmina-plugin-exec.install: st library dropped
  * debian/README.Debian: obsolete file dropped
  * debian/clean: obsolete file dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 01 Aug 2021 17:06:23 +0200

remmina (1.4.18+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 04 Jun 2021 01:03:09 +0200

remmina (1.4.17+dfsg-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/: patchset updated
    - 0001-Fix_manpages.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 22 May 2021 23:40:58 +0200

remmina (1.4.16+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 20 May 2021 23:03:38 +0200

remmina (1.4.13+dfsg-1) experimental; urgency=medium

  * New upstream release
  * debian/control: missing b-deps added

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 30 Mar 2021 22:49:53 +0200

remmina (1.4.12+dfsg-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/: patchset dropped (applied upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 04 Mar 2021 22:03:38 +0100

=== debian/control ===
Source: remmina
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake (>= 3.5),
 debhelper-compat (= 13),
 freerdp2-dev (>= 2.2.0~),
 intltool,
 libayatana-appindicator3-dev,
 libavahi-ui-gtk3-dev (>= 0.6.0),
 libcups2-dev,
 libgcrypt-dev | libgcrypt20-dev,
 libglib2.0-dev,
 libgnutls28-dev,
 libgtk-3-dev,
 libjpeg-dev,
 libjson-glib-dev,
 libkf5wallet-dev,
 libsecret-1-dev,
 libsodium-dev,
 libsoup2.4-dev,
 libspice-client-glib-2.0-dev,
 libspice-client-gtk-3.0-dev,
 libspice-protocol-dev,
 libssh-dev (>= 0.8.1),
 libvncserver-dev,
 libvte-2.91-dev,
 libwebkit2gtk-4.0-dev,
 libxkbfile-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.remmina.org/
Vcs-Git: https://salsa.debian.org/debian-remote-team/remmina.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/remmina

Package: remmina
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina-common (= ${source:Version}),
 default-dbus-session-bus | dbus-session-bus
Recommends:
 remmina-plugin-rdp,
 remmina-plugin-vnc,
 remmina-plugin-secret
Suggests:
 remmina-plugin-exec,
 remmina-plugin-kwallet,
 remmina-plugin-nx,
 remmina-plugin-spice,
 remmina-plugin-www,
 remmina-plugin-xdmcp
Description: GTK+ Remote Desktop Client
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.

Package: remmina-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: remmina
Description: Common files for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
 .
 This package contains the common files.

Package: remmina-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: Headers for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
 .
 This package contains the development headers for Remmina, to develop
 new plugins.

Package: remmina-plugin-rdp
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: RDP plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
 .
 This package contains the RDP plugin for Remmina.

Package: remmina-plugin-vnc
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: VNC plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
 .
 This package contains the VNC plugin for Remmina.

Package: remmina-plugin-spice
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
Description: Spice plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
 .
 This package contains the Spice plugin for Remmina.

Package: remmina-plugin-secret
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Breaks: remmina-plugin-gnome
Replaces: remmina-plugin-gnome
Description: Secret plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
 .
 This package contains the secret plugin for Remmina, which
 allows one to store and retrieve passwords from GNOME Keyring
 or KWallet.

Package: remmina-plugin-exec
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: EXEC plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
 .
 This package contains the EXEC plugin for Remmina.

Package: remmina-plugin-kwallet
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: KWallet plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
 .
 This package contains the KWallet plugin for Remmina, which
 allows one to store and retrieve passwords using the KDE wallet.

Package: remmina-plugin-www
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: WWW plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
 .
 This package contains the WWW plugin for Remmina, used to open
 Web based consoles.

Package: remmina-plugin-kiosk
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: Kiosk plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
 .
 This package contains the Kiosk plugin for Remmina.

## remmina 1.4.25%2Bdfsg

=== src/external_tools/CMakeLists.txt ===
# desktop/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2022 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.

INSTALL(PROGRAMS
    launcher.sh
    functions.sh
    remmina_filezilla_sftp.sh
    remmina_filezilla_sftp_pki.sh
    remmina_nslookup.sh
    remmina_ping.sh
    remmina_traceroute.sh
    DESTINATION ${REMMINA_EXTERNAL_TOOLS_DIR})

=== debian/changelog ===
remmina (1.4.25+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1008227)
    - debian/patches/: patchset dropped (applied upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Mar 2022 20:03:04 +0100

remmina (1.4.24+dfsg-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0002-Fix_crash_when_closing_connection.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 19 Feb 2022 14:38:09 +0100

remmina (1.4.24+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 13 Feb 2022 18:09:34 +0100

remmina (1.4.23+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control: pyhoca-cli b-dep removed (not needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 01 Jan 2022 22:31:22 +0100

remmina (1.4.22+dfsg-1) experimental; urgency=medium

  * New upstream release
    - debian/: X2Go plugin support added (Closes: #998891)
    - debian/patches/: patchset updated
      - 0002-Fix_division_by_zero.patch dropped (merged upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 19 Dec 2021 14:22:01 +0100

remmina (1.4.21+dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset updated
      - 0002-Fix_division_by_zero.patch added
  * debian/control: S-V bump 4.5.1 -> 4.6.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 01 Nov 2021 15:16:52 +0100

remmina (1.4.20+dfsg-4) unstable; urgency=medium

  * debian/control: drop NX and XDMCP refs in Suggests

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 25 Aug 2021 20:44:37 +0200

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,8 @@
  libvncserver-dev,
  libvte-2.91-dev,
  libwebkit2gtk-4.0-dev,
- libxkbfile-dev
-Standards-Version: 4.5.1
+ libxkbfile-dev,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.remmina.org/
 Vcs-Git: https://salsa.debian.org/debian-remote-team/remmina.git
@@ -51,10 +51,9 @@
 Suggests:
  remmina-plugin-exec,
  remmina-plugin-kwallet,
- remmina-plugin-nx,
  remmina-plugin-spice,
  remmina-plugin-www,
- remmina-plugin-xdmcp
+ remmina-plugin-x2go
 Description: GTK+ Remote Desktop Client
  Remmina is a remote desktop client written in GTK+, aiming to be
  useful for system administrators and travellers, who need to work
@@ -64,7 +63,7 @@
  Remmina supports multiple network protocols in an integrated and
  consistent user interface.
  .
- Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
+ Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
 
 Package: remmina-common
 Architecture: all
@@ -80,7 +79,7 @@
  Remmina supports multiple network protocols in an integrated and
  consistent user interface.
  .
- Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
+ Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
  .
  This package contains the common files.
 
@@ -99,7 +98,7 @@
  Remmina supports multiple network protocols in an integrated and
  consistent user interface.
  .
- Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
+ Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
  .
  This package contains the development headers for Remmina, to develop
  new plugins.
@@ -120,7 +119,7 @@
  Remmina supports multiple network protocols in an integrated and
  consistent user interface.
  .
- Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
+ Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
  .
  This package contains the RDP plugin for Remmina.
 
@@ -140,7 +139,7 @@
  Remmina supports multiple network protocols in an integrated and
  consistent user interface.
  .
- Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
+ Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
  .
  This package contains the VNC plugin for Remmina.
 
@@ -160,7 +159,7 @@
  Remmina supports multiple network protocols in an integrated and
  consistent user interface.
  .
- Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
+ Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
  .
  This package contains the Spice plugin for Remmina.
 
@@ -182,7 +181,7 @@
  Remmina supports multiple network protocols in an integrated and
  consistent user interface.
  .
- Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
+ Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
  .
  This package contains the secret plugin for Remmina, which
  allows one to store and retrieve passwords from GNOME Keyring
@@ -204,7 +203,7 @@
  Remmina supports multiple network protocols in an integrated and
  consistent user interface.
  .
- Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
+ Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
  .
  This package contains the EXEC plugin for Remmina.
 
@@ -224,7 +223,7 @@
  Remmina supports multiple network protocols in an integrated and
  consistent user interface.
  .
- Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
+ Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
  .
  This package contains the KWallet plugin for Remmina, which
  allows one to store and retrieve passwords using the KDE wallet.
@@ -266,6 +265,27 @@
  Remmina supports multiple network protocols in an integrated and
  consistent user interface.
  .
- Currently RDP, VNC, SPICE, WWW, EXEC and SSH are supported.
+ Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
  .
  This package contains the Kiosk plugin for Remmina.
+
+Package: remmina-plugin-x2go
+Architecture: any
+Multi-Arch: same
+Depends:
+ pyhoca-cli,
+ remmina (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: X2Go plugin for Remmina
+ Remmina is a remote desktop client written in GTK+, aiming to be
+ useful for system administrators and travellers, who need to work
+ with lots of remote computers in front of either large monitors or
+ tiny netbooks.
+ .
+ Remmina supports multiple network protocols in an integrated and
+ consistent user interface.
+ .
+ Currently RDP, VNC, SPICE, WWW, X2Go, EXEC and SSH are supported.
+ .
+ This package contains the X2Go plugin for Remmina.
